## module-init-tools 3.7~pre9-2trisquel4

=== debian/changelog ===
module-init-tools (3.7~pre9-2trisquel4) trisquel; urgency=low

  * Added b43 config

 -- Rubén Rodríguez Pérez <ruben@trisquel.info>  Wed, 09 Sep 2009 19:35:37 +0000

module-init-tools (3.7~pre9-2) jaunty; urgency=low

  * Moved ath_pci blacklist to /etc/modprobe.d/blacklist-ath_pci.conf
    for better jockey support.
    -LP: #323830

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 18 Mar 2009 15:45:43 +0000

module-init-tools (3.7~pre9-1) jaunty; urgency=low

  * New upstream pre-release:
    - modprobe will die if a module dependency fails to load.
    - bug fixes.

 -- Scott James Remnant <scott@ubuntu.com>  Fri, 13 Mar 2009 12:07:21 +0000

module-init-tools (3.7~pre7-5) jaunty; urgency=low

  * debian/module-init-tools.postinst: Correct call to depmod to include
    kernel version.  LP: #341955.

 -- Scott James Remnant <scott@ubuntu.com>  Fri, 13 Mar 2009 12:04:33 +0000

module-init-tools (3.7~pre7-4) jaunty; urgency=low

  * debian/module-init-tools.links: Create an /sbin/lsmod symlink, that's
    always been the location in Debian/Ubuntu.  We want to keep /bin/lsmod
    since that's the upstream location.  LP: #340666.

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 11 Mar 2009 09:32:59 +0000

module-init-tools (3.7~pre7-3) jaunty; urgency=low

  * Cannot call update-initramfs without depending on initramfs-tools,
    and we don't want to do that; but we can do this a different way by
    using Breaks to force an update of initramfs-tools.

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 10 Mar 2009 10:51:09 +0000

module-init-tools (3.7~pre7-2) jaunty; urgency=low

  * debian/control: module-init-tools should depend on initramfs-tools

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 10 Mar 2009 11:34:10 +1100

module-init-tools (3.7~pre7-1) jaunty; urgency=low

  * Repackage afresh for Ubuntu based off an upstream GIT import into bzr,
    rather than the Debian package.
  * New upstream pre-release:
    - many bug fixes.  LP: #99547, #292887, #303613, #284001.
    - much profiling and optimisation work.
    - depmod generates and modprobe uses binary indexes for module lists,
      giving a significant performance benefit.
    - legacy support for pre-2.6 kernels dropped.
    - module ordering support.  LP: #118040, #317724.
    - updated documentation.  LP: #203828, #259791.

  * /etc/modprobe.d/aliases: Dropped this file, the kernel has been able to
    export the {char,block}-major-* aliases for a while and adding them to the
    appropriate modules is a one line patch.  All aliases present here have
    been added to the Ubuntu kernel if not already present.  LP: #332357.
  * /etc/modprobe.d/isapnp: Dropped this file, the modalias strings in it were
    not current with the strings produced by pnpacpi in the kernel (pnpbios
    does not produce any modalias strings), and this kind of thing is better
    off done with kernel patches.
  * /etc/modprobe.d/options: Dropped this file, changes to default kernel
    options should be changed in the kernel so that they also take effect if
    the module is built-in; and also to make sure they're kept in sync with
    any changes to option names or defaults (or even module names) in the
    kernel.
  * /etc/modprobe.d/arch/*, /etc/modprobe.d/arch-aliases: Dropped the arch
    directory and the symlink into it, these aliases and/or options are
    handled by kernel patches now.

  * /etc/modprobe.d/blacklist-amd76-edac: Merged with the ordinary blacklist
    file, since it only contains one line.
  * /etc/modprobe.d/blacklist{,-*}: Files renamed to end in ".conf" as
    required by new upstream version.a

  * /sbin/update-modules: This deprecated command has been removed.
  * Completely non-parallel-installable with modutils.  LP: #208874.

  * All patches either merged upstream or dropped:
    - always_apply_blacklist: merged
    - blacklist-warn.diff: dropped.  LP: #66423.
    - fix_8bit: merged
    - fix_sgml: merged
    - ignore_arch_directory: dropped
    - insmod-segv: merged
    - last_good_boot: dropped
    - modprobe_conf_and_directory: dropped
    - runparts_like_names: merged
    - silence_modprobe: dropped
    - use_blacklist_doc: merged

  * Note that from this version of module-init-tools, all configuration files
    in /etc/modprobe.d should end with ".conf", support for other names is
    retained with a warning but will be dropped.
  * Note that the Ubuntu -Q option to modprobe has been dropped, to silence
    modprobe use -q.

 -- Scott James Remnant <scott@ubuntu.com>  Mon, 09 Mar 2009 17:13:55 +0000

module-init-tools (3.3-pre11-4ubuntu20) jaunty; urgency=low

  * Blacklist vt8623fb video framebuffer driver.  By default we want all
    framebuffer drivers blacklisted but this one is missing.  (LP: #208137)

 -- Andy Whitcroft <apw@canonical.com>  Mon, 09 Feb 2009 15:18:19 +0000

module-init-tools (3.3-pre11-4ubuntu19) jaunty; urgency=low

  * Blacklist ath_pci in favor of ath5k. See extended discussion in
    extra/modprobe.d/blacklist.
    LP: #315056 

 -- Tim Gardner <tim.gardner@canonical.com>  Sat, 31 Jan 2009 20:14:23 +0000

module-init-tools (3.3-pre11-4ubuntu18) jaunty; urgency=low

  [ Andy Whitcroft ]

  * We are enabling both the old and new firewire stacks, for this to work
    we need to blacklist one of them.  To maintain backwards compatibility
    blacklist the new one.
    LP: #276463

  * Copy all files in extra/modprobe.d except for arch specific files.
    LP: #297750

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 26 Dec 2008 14:33:22 +0000

module-init-tools (3.3-pre11-4ubuntu17) intrepid-proposed; urgency=low

  [ Andy Whitcroft ]

  * Add a blacklist entry for the amd76x_edac which prevents the
    AGP aperture being initialised.
    LP: #297750

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 04 Dec 2008 14:55:23 -0700

module-init-tools (3.3-pre11-4ubuntu16) intrepid; urgency=low

  * Add ignore_hpa=1 option for libata to get prior functionality and
    consistency.


