=== debian/control ===
Source: module-init-tools
Section: admin
Priority: important
Maintainer: Rubén Rodríguez <ruben@trisquel.info>
Standards-Version: 3.8.0.0
Build-Depends: debhelper (>= 7.0), docbook-to-man
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/module-init-tools/ubuntu

Package: module-init-tools
Architecture: any
Depends: ${shlibs:Depends}
Breaks: initramfs-tools (<< 0.92bubuntu23)
Description: tools for managing Linux kernel modules
 This package contains a set of programs for loading, inserting, and 
 removing kernel modules for Linux (versions 2.5.48 and above).

Package: module-init-tools-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${shlibs:Depends}
Description: tools for managing Linux kernel modules
