## module-init-tools 3.16

=== debian/changelog ===
module-init-tools (3.16-1ubuntu6) quantal; urgency=low

  * Update config.guess,sub for aarch64

 -- Wookey <wookey@wookware.org>  Mon, 01 Oct 2012 12:56:40 +0100

module-init-tools (3.16-1ubuntu5) quantal; urgency=low

  * Add new iwlwifi.config file
    -LP: #1011420

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Mon, 10 Sep 2012 09:13:20 -0700

module-init-tools (3.16-1ubuntu4) quantal; urgency=low

  * Micro-optimize the upstart job to improve boot performance; thanks to
    Scott Moser for the patch.
  * Use dpkg-buildflags to enable hardening for the package build.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 06 Sep 2012 01:28:50 +0000

module-init-tools (3.16-1ubuntu3) quantal; urgency=low

  * Blacklist udlfb which conflicts with the udl KMS driver. 
    Added udlfb to debian/modprobe.d/blacklist-framebuffer.conf

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 30 May 2012 11:42:15 -0600

module-init-tools (3.16-1ubuntu2) precise; urgency=low

  * Mark module-init-tools Multi-Arch: foreign.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 20 Nov 2011 22:15:21 +0000

module-init-tools (3.16-1ubuntu1) oneiric; urgency=low

  * Resync with debian 3.16-1.
   - Remaining changes:
      + update to debhelper version 7 for upstart job support
      + Ubuntu specific control scripts carrying upgrade quirks
      + Ubuntu specific modprobe.d/depmod.d contents
      + debian/patches/ubuntu-maps_by_default -- Reenable map files
      + switch source to 'unapply-patches' to simplify merging with
        debian upstream
  * debian/patches/ubuntu-modinfo-wantparm-uninitialised dropped
    now upstream

 -- Andy Whitcroft <apw@canonical.com>  Thu, 16 Jun 2011 13:10:43 +0100

module-init-tools (3.16-1) unstable; urgency=high

  * New upstream release.
  * Fixed the fix for #604017 which broke modinfo -F. (Closes: #628844)

 -- Marco d'Itri <md@linux.it>  Fri, 03 Jun 2011 20:23:06 +0200

module-init-tools (3.13-1ubuntu1) oneiric; urgency=low

  * Manual Resync with Debian version 3.13-1.
    - Remaining changes:
      + Ubuntu specific control scripts carrying upgrade quirks
      + Ubuntu specific modprobe.d/depmod.d contents
      + debian/patches/ubuntu-maps_by_default -- Reenable map files
      + debian/patches/ubuntu-modinfo-wantparm-uninitialised -- fix
        performance issue due to unitialised variable in modinfo
      + switch source to 'unapply-patches' to simplify merging with
        debian upstream

 -- Andy Whitcroft <apw@canonical.com>  Wed, 08 Jun 2011 11:53:21 +0100

module-init-tools (3.13-1) unstable; urgency=low

  * New upstream release.
    + Supports 3.x kernels.
  * Switched from docbook2man to docbook-to-man. (Closes: #593834)
  * Documented depmod -E. (Closes: #618338)
  * Added patch modinfo_print_tags: make "depmod -F param" print also
    parameters without a description. (Closes: #604017)
  * Added patch fix_modprobe.d.5_alias to create a proper man page alias
    and use docbook-to-man instead of docbook2man since it appears to be
    slightly less broken than the other. (Closes: #593834)
  * Removed support for /etc/modules-*.

 -- Marco d'Itri <md@linux.it>  Wed, 01 Jun 2011 04:13:55 +0200

module-init-tools (3.12-1ubuntu6) natty; urgency=low

  * Remove intel-3945-iwlagn-disable11n.conf completely as it has an
    erroneous module parameter. (LP: #747025)

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 01 Apr 2011 07:19:50 -0600

module-init-tools (3.12-1ubuntu5) natty; urgency=low

  * Added intel-3945-iwlagn-disable11n.conf
    The iwlwifi driver is now split into legacy 3945 and
    everything else as of 2.6.38. Support for 4965 is still contained in the iwlagn
    driver even though considered a legacy device. Intel affirms
    802.11n should work. iwl3945 is no longer supported and will never
    have a functional 802.11n mode.
  * removed intel-5300-iwlagn-disable11n.conf
    -LP: #630748

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 25 Mar 2011 09:29:16 -0600

module-init-tools (3.12-1ubuntu4) natty; urgency=low

  * debian/modprobe.d/blacklist-framebuffer.conf: re-enable vesafb so that
    we can load it as a fallback.  (LP: #702090)

 -- Andy Whitcroft <apw@canonical.com>  Fri, 18 Mar 2011 18:00:19 +0000

module-init-tools (3.12-1ubuntu3) natty; urgency=low

  * debian/modprobe.d/blacklist-rare-network.conf: add alias blacklist for
    rare network modules to help defend against future vulnerabilities.

 -- Kees Cook <kees@ubuntu.com>  Thu, 13 Jan 2011 12:43:38 -0800

module-init-tools (3.12-1ubuntu2) maverick; urgency=low

  * Temporarily disable 11n functionality for iwlagn driver.  Intel is
    actively working to get this properly fixed up in the firmware.  This
    workaround should be reverted once updated firmware is available.
    LP: #630748

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Thu, 30 Sep 2010 14:47:34 -0700

module-init-tools (3.12-1ubuntu1) maverick; urgency=low

  * Enable new firewire stack by blacklisting legacy firewire modules.
    http://blueprints.launchpad.net/ubuntu/+spec/kernel-maverick-firewire-stack

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 30 Jun 2010 15:35:58 +0000

module-init-tools (3.12-1) unstable; urgency=low

  * New upstream release.
    + modprobe -o is not supported anymore.
    + Added support for modules.devname for the benefit of udev.

 -- Marco d'Itri <md@linux.it>  Sun, 27 Jun 2010 22:18:36 +0200

module-init-tools (3.12~pre2-3) unstable; urgency=high

  * Fixed spurious output of modprobe. (Closes: #574584, #574797)

 -- Marco d'Itri <md@linux.it>  Thu, 15 Apr 2010 03:04:10 +0200

module-init-tools (3.12~pre2-2) unstable; urgency=high

  * Fixed an init scripts dependency loop introduced in -1. (Closes: #574535)

 -- Marco d'Itri <md@linux.it>  Mon, 22 Mar 2010 12:21:18 +0100

module-init-tools (3.12~pre2-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Fri, 12 Mar 2010 19:39:28 +0100


