=== debian/control ===
Source: module-init-tools
Section: admin
Priority: important
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Marco d'Itri <md@linux.it>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 7.3.15ubuntu2), docbook-to-man, dpkg-dev (>= 1.16.1)

Package: module-init-tools
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: dpkg (>= 1.15.7.2)
Breaks: initramfs-tools (<< 0.92bubuntu23)
Description: tools for managing Linux kernel modules
 This package contains a set of programs for loading, inserting, and 
 removing kernel modules for Linux.
Homepage: http://www.kerneltools.org/

Package: module-init-tools-udeb
Section: debian-installer
Priority: extra
Architecture: any
XC-Package-Type: udeb
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tools for managing Linux kernel modules
 This is the debian-installer version of module-init-tools.
