=== debian/watch ===
version=3
opts=uversionmangle=s/-((pre|rc)\d+)/~$1/ \
http://www.kernel.org/pub/linux/utils/kernel/module-init-tools/module-init-tools-([0-9\.]+(?:-pre[0-9\.]+)?)\.tar\.bz2
